//**************************************************************************
//                        mixedsettingswidget.h  -  description
//                           -------------------
//  begin                : Sat Sep 30 2000
//  copyright            : (C) 2000 by Bjrn Sahlstrm
//  email                : bjorn@kbear.org
//**************************************************************************/

//**************************************************************************
//                                                                         *
//   This program is free software; you can redistribute it and/or modify  *
//   it under the terms of the GNU General Public License as published by  *
//  the Free Software Foundation; either version 2 of the License, or     *
//  (at your option) any later version.                                   *
//                                                                        *
//*************************************************************************/

#ifndef MIXEDSETTINGSWIDGET_H
#define MIXEDSETTINGSWIDGET_H

//////////////////////////////////////////////////////////////////////
// Qt specific include files
#include <qcheckbox.h>
#include <qcombobox.h>
//////////////////////////////////////////////////////////////////////
// KDE specific include files
#include <klocale.h>
#include <klineedit.h>
#include <kapp.h>
#include <kconfig.h>
#include <kmessagebox.h>
//////////////////////////////////////////////////////////////////////
// Application specific include files
#include "mixedsettingswidgetbase.h"

/**
  *@author Bjrn Sahlstrm
  */

class MixedSettingsWidget : public MixedSettingsWidgetBase  {
   Q_OBJECT
public: 
	MixedSettingsWidget( QWidget *parent=0, const char *name=0);
	~MixedSettingsWidget();
	/**  */
	void setDefaultWebPage( const QString& page );
	/**  */
	void setDefaultEmail( const QString& email );
	/**  */
	QString defaultWebPage();
	/**  */
	QString defaultEmail();
private slots: // Private slots
  /** Called whenever the AutoResume option is checked/unchecked */
  void slotAutoResumeChecked();
  /** No descriptions */
  void slotPartExtensionChecked();
};

#endif
